## dtkcore 5.2.2.5

=== tests/ddesktopentry/CMakeLists.txt ===
# run test with verbose log: `ctest --verbose`

# QXdgDesktopEntryTest
add_executable (DDesktopEntryTest
    tst_ddesktopentrytest.cpp
)
add_test (NAME DDesktopEntryTest COMMAND DDesktopEntryTest )
target_link_libraries (DDesktopEntryTest ${DtkCore_LIBRARIES} Qt5::Test)

## dtkcore 2.0.7.1

=== debian/changelog ===
dtkcore (2.0.7.1-3) unstable; urgency=medium

  * Rebuild for Qt 5.10 on Debian.
  * Provide Qt header compatibility for Qt 5.9.x series. Closes: #894612.
    It's hacky but we don't really have much options.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Apr 2018 18:04:24 +0800

dtkcore (2.0.7.1-2) unstable; urgency=medium

  * Deal with Qt headers to ensure compatibility against Qt 5.10.1.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 22 Mar 2018 15:38:38 +0800

dtkcore (2.0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch for Qt private header for Qt 5.10.1.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 10:18:14 +0800

dtkcore (2.0.7-1) unstable; urgency=medium

  * Upload to unstable.
  * Refresh symbols.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 07 Mar 2018 15:39:36 +0800

dtkcore (2.0.7-1~exp1) experimental; urgency=medium

  * New upstream version.
  * Refresh patches.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Mar 2018 17:04:07 +0800

dtkcore (2.0.6-3) unstable; urgency=medium

  * d/control: Bump debhelper compat to v11.
  * d/control: Migrate to Salsa platform for Vcs handling.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 04 Mar 2018 18:12:23 +0800

dtkcore (2.0.6-2) unstable; urgency=medium

  * Fix symbols for hurd-i836 using buildlogs.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 18 Jan 2018 09:25:18 +0800

dtkcore (2.0.6-1) unstable; urgency=medium

  * New upstream release.
    + Add cmake files to ease package searching.
  * Backport one upstream patch to fix FTBFS on hurd systems.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 17 Jan 2018 23:33:32 +0800

dtkcore (2.0.5.3-1) unstable; urgency=medium

  * New upstream release.
    - Add chinese2pinyin library as dpinyin module.
  * Support non-linux platforms again.
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * d/copyright: Update license information.
  * d/patches: Drop useless patches, merged upstream.
  * Refresh symbols for libdtkcore2.
  * Mark libdtkcore-dev as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 01 Jan 2018 08:57:24 +0800

dtkcore (2.0.5.2-3) unstable; urgency=medium

  * Add Breaks+Replaces libdtkwidget-dev (<< 2.0.5.2-3) to
    take over files about Qt headers.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 13 Dec 2017 23:40:21 +0800

dtkcore (2.0.5.2-2) unstable; urgency=medium

  * Cherry-pick upstream patch to support non-linux arch.
  * Add patch to workaround problems for Qt private headers.
  * Bump to Standards-Version 4.1.2. (No changes needed)

 -- Boyuan Yang <073plan@gmail.com>  Wed, 13 Dec 2017 20:21:25 +0800

dtkcore (2.0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 28 Nov 2017 20:12:15 +0800

dtkcore (2.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Install upstream changelog into doc directory.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 07 Nov 2017 20:03:57 +0800

dtkcore (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency libgsettings-qt-dev.
  * Refresh symbols.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 30 Oct 2017 01:02:45 +0800

dtkcore (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1. (No changes needed)
  * Fix typo in Vcs URL.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 18 Oct 2017 21:02:30 +0800

dtkcore (2.0.0-2) unstable; urgency=high

  * Set package as linux-any since the packages depend on linux-specific
    inotify interface. (Closes: #874137)

 -- Boyuan Yang <073plan@gmail.com>  Mon, 04 Sep 2017 00:00:54 +0800

dtkcore (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    + Add tests.
  * Bump Standards-Version to 4.1.0 (no changes needed).
  * Refresh symbols.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 03 Sep 2017 10:57:09 +0800

dtkcore (0.3.3+git20170731-1) unstable; urgency=medium

  * Initial Release. (Closes: #869894)

 -- Boyuan Yang <073plan@gmail.com>  Wed, 02 Aug 2017 21:46:12 +0800

=== debian/control ===
Source: dtkcore
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 libgsettings-qt-dev,
 pkg-config,
 pkg-kde-tools,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxdeepin/dtkcore
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

Package: libdtkcore-bin
Architecture: any
Section: utils
Depends:
 libdtkcore2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Core library (utilities)
 DtkCore is a base devel library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

Package: libdtkcore-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtkcore2 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libdtkwidget-dev (<< 2.0.5.2-3),
Replaces:
 libdtkwidget-dev (<< 2.0.5.2-3),
Description: Deepin Tool Kit Core library (development files)
 DtkCore is a base library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files and static libraries of DtkCore.

Package: libdtkcore2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Core library
 DtkCore is a base library of Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

# Retrieve version info
include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

_QT_COMPAT_VERSION_LIST := 5.9.2 5.9.3 5.9.4 5.9.5 5.9.6 5.10.1
_TMPDIR := debian/tmp

#
# DTK: Automatic version parsing
#
ifneq (,$(wildcard .git/config))
	CONFIG_VERSION=
else
_PACK_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	@echo "I: Current dtkcore VERSION is $(CONFIG_VERSION)"
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(CONFIG_VERSION)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_missing:
	# remove known useless test file
	rm -f debian/tmp/usr/tests/tests/tests
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_install:
	for i in $(_QT_COMPAT_VERSION_LIST); do \
	        _QTXCBDIR=$(_TMPDIR)/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtXcb/$${i}/QtXcb/private ; \
	        mkdir -p $${_QTXCBDIR} ; \
	        cp -t $${_QTXCBDIR}/ libqt5xcbqpa-dev/$${i}/*.h ; \
	done
	dh_install

## dtkcore 2.0.8.1

=== debian/changelog ===
dtkcore (2.0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 18 May 2018 22:02:21 +0800

dtkcore (2.0.8-2) unstable; urgency=medium

  * Refresh symbols using buildd logs.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 17:30:18 +0800

dtkcore (2.0.8-1) unstable; urgency=medium

  [ Yanhao Mo ]
  * New upstream release.
  * d/libdtkcore-dev.install: Remove /usr/lib/*/libdtk/modules/* .

  [ Boyuan Yang ]
  * d/control: Switch team address back to pkg-deepin-devel.
  * d/symbols: Update according to buildlog.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 05 May 2018 19:37:12 +0800

dtkcore (2.0.7.1-5) unstable; urgency=medium

  * (Really) set maintainer email to the new one.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Apr 2018 21:36:54 +0800

dtkcore (2.0.7.1-4) unstable; urgency=medium

  * Set maintainer email to team+pkg-deepin@tracker.debian.org .
  * Reconfirm symbols using buildd logs.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 17 Apr 2018 12:34:47 +0800

## dtkcore 2.0.9

=== debian/changelog ===
dtkcore (2.0.9-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update my uploaders info and use @debian.org email address.
  * debian/patches: Do not provide with private Qt headers anymore.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 10:53:29 -0400

dtkcore (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * Refresh symbols.

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 25 Jul 2018 09:20:00 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  debhelper (>= 11~),
@@ -13,7 +13,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/dtkcore
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-_QT_COMPAT_VERSION_LIST := 5.9.2 5.9.3 5.9.4 5.9.5 5.9.6 5.10.1
-_TMPDIR := debian/tmp
 
 #
 # DTK: Automatic version parsing
@@ -48,11 +46,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
-
-override_dh_install:
-	for i in $(_QT_COMPAT_VERSION_LIST); do \
-	        _QTXCBDIR=$(_TMPDIR)/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtXcb/$${i}/QtXcb/private ; \
-	        mkdir -p $${_QTXCBDIR} ; \
-	        cp -t $${_QTXCBDIR}/ libqt5xcbqpa-dev/$${i}/*.h ; \
-	done
-	dh_install

## dtkcore 2.0.9.4

=== debian/changelog ===
dtkcore (2.0.9.4-1) unstable; urgency=medium

  * New upstream version 2.0.9.4
  * Use shlibs file to circumvent symbols problems.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 14 Oct 2018 19:35:33 +0800

## dtkcore 2.0.9.5

=== debian/changelog ===
dtkcore (2.0.9.5-1) unstable; urgency=medium

  * New upstream release 2.0.9.5.
  * debian/shlibs: Manually bump required version.
  * debian/rules: Do not explicitly invoke dpkg-architecture.

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Nov 2018 09:51:01 -0500

## dtkcore 2.0.9.8

=== debian/changelog ===
dtkcore (2.0.9.8-1) unstable; urgency=medium

  * New upstream release 2.0.9.8.
  * debian/shlibs: Manually bump required version.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Nov 2018 19:57:12 -0500

## dtkcore 2.0.9.9

=== debian/changelog ===
dtkcore (2.0.9.9-1) unstable; urgency=medium

  * New upstream release 2.0.9.9.
  * debian/shlibs: Manually bump required version.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Nov 2018 10:15:05 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,12 @@
 
 # Retrieve version info
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/architecture.mk
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# Explicitly enable hardening
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-
-#
 # DTK: Automatic version parsing
 #
 ifneq (,$(wildcard .git/config))

## dtkcore 2.0.9.10

=== debian/changelog ===
dtkcore (2.0.9.10-1) unstable; urgency=medium

  * New upstream release 2.0.9.10.
    + Add compatibility with musl libc.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Dec 2018 12:23:23 -0500

## dtkcore 2.0.9.11

=== debian/changelog ===
dtkcore (2.0.9.11-1) unstable; urgency=medium

  * New upstream release 2.0.9.11.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 09:14:31 +0800

## dtkcore 2.0.9.14

=== debian/changelog ===
dtkcore (2.0.9.14-2) unstable; urgency=medium

  * debian/patches: Add patches from upstream to fix compatibility
    with debhelper copmat v12.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Jan 2019 21:04:05 -0500

dtkcore (2.0.9.14-1) unstable; urgency=medium

  * New upstream release 2.0.9.14.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Jan 2019 10:17:47 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libgsettings-qt-dev,
  pkg-config,
  pkg-kde-tools,
  qtbase5-dev,
  qtbase5-private-dev,
  qttools5-dev-tools,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/dtkcore
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

## dtkcore 2.0.9.15

=== debian/changelog ===
dtkcore (2.0.9.15-1) unstable; urgency=medium

  * New upstream release 2.0.9.15.
  * debian/patches: Remove all patches applied upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Jan 2019 16:02:13 -0500

## dtkcore 2.0.9.17

=== debian/changelog ===
dtkcore (2.0.9.17-1) unstable; urgency=medium

  * New upstream release 2.0.9.17.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 16:00:09 -0500

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
  qttools5-dev-tools,
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/dtkcore
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 export QT_SELECT := 5
 
 # Retrieve version info
-include /usr/share/dpkg/pkg-info.mk
-include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/default.mk
 
 # Explicitly enable hardening
 DPKG_EXPORT_BUILDFLAGS = 1

## dtkcore 2.1.1

=== debian/changelog ===
dtkcore (2.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:10 +0100

dtkcore (2.1.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Sep 2019 13:27:12 -0400

dtkcore (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream release 2.1.1.
  * debian/shlibs: Bump minimum version requirement to 2.1.1.
  * Correctly cross-build. (Closes: #924234)
  * debian/patches: Add patch to fix incorrect script
    interpreter line.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Aug 2019 16:40:11 -0400

dtkcore (2.0.15-1~exp1) experimental; urgency=medium

  * New upstream release 2.0.15.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
  * debian/shlibs: Bump minimum library version requirement to
    2.0.11.
  * debian/rules: Refine manual version parsing.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 16:54:32 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  qtbase5-private-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/linuxdeepin/dtkcore
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# DTK: Automatic version parsing
-#
 ifneq (,$(wildcard .git/config))
 	CONFIG_VERSION=
 else
-_PACK_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$1}')
-_BUILD_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
+VERSION = $(DEB_VERSION_UPSTREAM)
+_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
+_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
 ifeq ($(_BUILD_VER),)
 	CONFIG_VERSION = $(_PACK_VER)
 else
@@ -29,11 +28,11 @@
 endif
 endif
 
+
 %:
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	@echo "I: Current dtkcore VERSION is $(CONFIG_VERSION)"
 	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(CONFIG_VERSION)
 
 override_dh_makeshlibs:

## dtkcore 5.2.2.5

=== debian/changelog ===
dtkcore (5.2.2.5-3) unstable; urgency=high

  * debian/patches/0001-fix-access-null-pointer.patch: Apply upstream
    patch to avoid program crash when clicking "About" menu in Deepin
    Applications. (Closes: #985480)

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Mar 2021 22:57:38 -0400

dtkcore (5.2.2.5-2) unstable; urgency=medium

  * debian/libdtkcore5.symbols:
    + Update symbols for other archs.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 21 Dec 2020 15:05:28 +0545

dtkcore (5.2.2.5-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * debian/libdtkcore5.symbols:
    + Add support for 32-bit architectures.

  [ Arun Kumar Pariyar ]
  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Add pkg-kde-tools to build dependency.
    + Set Replaces+Breaks with libdtkwidget-dev (<< 5.2.2.10-1).
  * Add symbols file for libdtkcore5.
  * debian/copyright: Update license information.
  * debian/rules: Cleanup and ensure proper build.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 20 Dec 2020 23:27:37 +0545

dtkcore (5.2.2.5-1~exp1) experimental; urgency=medium

  [ Tu Qinggang ]
  * New upstream release 5.2.2.5.
  * debian/control: Add Tu Qinggang to Uploaders list.

  [ Arun Kumar Pariyar ]
  * debian/patches: Drop all patches.
  * debian/copyright:
    + Add GPL-3+ license for src/util/dthreadutils.* .
    + Update copyright information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 03 Sep 2020 05:56:38 +0000

dtkcore (5.2.2.1-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.2.1.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 12 Jul 2020 13:01:11 +0545

dtkcore (5.2.1-1~exp1) experimental; urgency=medium

  * new upstream release 5.2.1.
  * debian/control: Let libdtkcore5-bin provides dtkcore-bin.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jun 2020 10:00:53 -0400

dtkcore (5.2.0-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * debian/control:
    + Bump library SONAME to 5.
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Add Arun Kumar Pariyar to the uploaders list.
  * debian/copyright: Update license information (new LGPL-3+).
  * debian/rules: Update to ensure proper build.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 May 2020 03:33:35 +0800

=== debian/control ===
Source: dtkcore
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Tu Qinggang <tuqinggang@uniontech.com>,
Build-Depends:
 debhelper-compat (= 13),
 libgsettings-qt-dev,
 pkg-config,
 pkg-kde-tools,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/dtkcore
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

Package: libdtkcore-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtkcore5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtkwidget-dev (<< 5.2.2.10-1),
Replaces:
 libdtkwidget-dev (<< 5.2.2.10-1),
Description: Deepin Tool Kit Core library (development files)
 DtkCore is a base library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files and static libraries of DtkCore.

Package: libdtkcore5
Architecture: any
Multi-Arch: same
Depends:
 lshw,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Core library
 DtkCore is a base library of Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the shared libraries.

Package: libdtkcore5-bin
Architecture: any
Section: utils
Depends:
 libdtkcore5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 dtkcore-bin,
Description: Deepin Tool Kit Core library (utilities)
 DtkCore is a base devel library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## dtkcore 5.4.15

=== debian/changelog ===
dtkcore (5.4.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Apr 2021 14:24:58 +0800

dtkcore (5.0.3) unstable; urgency=medium

  * Release 5.0.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Sep 2019 13:31:03 +0800

dtkcore (5.0.0) unstable; urgency=medium

  * Release 5.0.0

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 03 Sep 2019 08:47:03 +0800

dtkcore (2.0.8) unstable; urgency=medium

  * Release 2.0.8

 -- Deepin Packages Builder <me@iceyer.net>  Wed, 02 May 2018 10:52:03 +0800

dtkcore (0.3.3-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 10 Oct 2016 16:58:07 +0800

=== debian/control ===
Source: dtkcore
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), pkg-config,
 qttools5-dev-tools, qtbase5-private-dev,
 libgsettings-qt-dev, libgtest-dev, libdtkcommon-dev
Standards-Version: 3.9.8

Package: libdtkcore5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lshw, libdtkcommon
Multi-Arch: same
Description: Deepin Tool Kit Core library
 DtkCore is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtkcore5-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkcore5( =${binary:Version})
Description: Deepin Tool Kit Core Utilities
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkCore

Package: libdtkcore-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkcore5( =${binary:Version}), libdtkcommon-dev
Description: Deepin Tool Kit Core Devel library
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkCore

## dtkcore 5.5.23

=== debian/changelog ===
dtkcore (5.5.23-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 16:09:03 +0300

dtkcore (5.5.23-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Make new build time tests not fatal for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Feb 2022 17:38:32 +0000

dtkcore (5.5.23-1) unstable; urgency=medium

  * New upstream version 5.5.23.
  * debian/copyright: updated.
  * debian/libdtkcore5.shlibs: update version to 5.5.23.

 -- Clay Stan <claystan97@gmail.com>  Mon, 21 Feb 2022 15:21:41 +0800

dtkcore (5.5.17.1-1ubuntu1) jammy; urgency=medium

  * Make new build time tests not fatal for now.

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Dec 2021 11:45:44 +0000

dtkcore (5.5.17.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 13:33:41 -0500

dtkcore (5.5.17.1-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream version 5.5.17.1.
  * add qdbusxml2cpp manpage.

  [ Boyuan Yang ]
  * Upload new version to experimental. (Closes: #993174)
  * Tighten library version requirement using
    debian/libdtkcore5.shlibs.
  * debian/upstream/metadata: Fix field names.
  * debian/control: Drop ${shlibs:Depends} from libdtkcore-dev
    dependency field, useless.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:25:42 -0500

dtkcore (5.4.13-1) unstable; urgency=medium

  * New upstream version 5.4.13.

 -- Clay Stan <claystan97@gmail.com>  Sun, 25 Apr 2021 17:02:11 +0800

dtkcore (5.4.0-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.4.0.
  * debian/control: Add Clay Stan to Uploaders list.

  [ Hu Feng ]
  * debian/control:
    + Remove Build-Depends qtbase5-dev
    + Add Hu Feng to Uploaders list.
  * debian/patches:
    + Add 0001-fix-access-null-pointer.patch
  * debian/libdtkcore5.symbols
    + Update symbols

 -- Hu Feng <hufeng@uniontech.com>  Wed, 03 Mar 2021 09:53:46 +0800

=== debian/control ===
Source: dtkcore
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Tu Qinggang <tuqinggang@uniontech.com>,
 Clay Stan <claystan97@gmail.com>,
 Hu Feng <hufeng@uniontech.com>,
Build-Depends:
 debhelper-compat (= 13),
 libgsettings-qt-dev,
 pkg-config,
 pkg-kde-tools,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libgtest-dev,
 libdtkcommon-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/dtkcore
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

Package: libdtkcore-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtkcore5 (= ${binary:Version}),
 libdtkcommon-dev,
 ${misc:Depends},
Breaks:
 libdtkwidget-dev (<< 5.2.2.10-1),
Replaces:
 libdtkwidget-dev (<< 5.2.2.10-1),
Description: Deepin Tool Kit Core library (development files)
 DtkCore is a base library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files and static libraries of DtkCore.

Package: libdtkcore5
Architecture: any
Multi-Arch: same
Depends:
 libdtkcommon,
 lshw,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Core library
 DtkCore is a base library of Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the shared libraries.

Package: libdtkcore5-bin
Architecture: any
Section: utils
Depends:
 libdtkcore5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 dtkcore-bin,
Description: Deepin Tool Kit Core library (utilities)
 DtkCore is a base devel library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(DEB_VERSION_UPSTREAM)
 
+override_dh_auto_test:
+	-dh_auto_test
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md

## dtkcore 5.5.27

=== debian/changelog ===
dtkcore (5.5.27-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 13:31:42 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(CONFIG_VERSION)

#override_dh_auto_test:
#	echo "skip auto test"

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtkcore5 (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtkcore 5.5.30

=== debian/changelog ===
dtkcore (5.5.30-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 10:03:14 +0800

## dtkcore 5.5.32

=== debian/changelog ===
dtkcore (5.5.32-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Jun 2022 10:45:49 +0800

## dtkcore 5.5.33

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

project (DtkCore
	VERSION "${DTK_REPO_MODULE_VERSION}"
	DESCRIPTION "DTK Core module"
	HOMEPAGE_URL ""
	LANGUAGES CXX C
)

find_package (Qt5 CONFIG REQUIRED COMPONENTS DBus Xml)

set (BUILD_DOCS ON CACHE BOOL "Generate doxygen-based documentation")

if (BUILD_DOCS)
	add_subdirectory(doc)
endif ()

=== doc/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

find_package (Doxygen REQUIRED)

set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALLL_PREFIX}/share/DDE/dtk CACHE STRING "QCH install location")

set (DOXYGEN_GENERATE_HTML "NO" CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML "NO" CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP "YES" CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese")
set (DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)
set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.core")
set (DOXYGEN_QCH_FILE "dtkcore.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER "dtkcore")
set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")

set (DOXYGEN_PREDEFINED
    "\"DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {\""
    "\"DCORE_END_NAMESPACE=}}\""
    "\"DCORE_USE_NAMESPACE=using Dtk::Core\""
)
set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")

doxygen_add_docs (doxygen
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/doc
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)

install (FILES ${PROJECT_BINARY_DIR}/docs/html/dtkcore.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== debian/changelog ===
dtkcore (5.5.33-1) unstable; urgency=medium

  * New upstream version 5.5.33.
  * debian/libdtkcore5.shlibs: update version to 5.5.33.
  * debian/rules: Add buildsystem=qmake.

 -- Clay Stan <claystan97@gmail.com>  Tue, 02 Aug 2022 13:14:06 +0800

dtkcore (5.5.31-1) unstable; urgency=medium

  * New upstream version.
  * debian/libdtkcore5.shlibs: update version to 5.5.31.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 23:35:19 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libgtest-dev,
  libdtkcommon-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/linuxdeepin/dtkcore
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=qmake --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtkcore-$1.tar.gz%" \
 https://github.com/linuxdeepin/dtkcore/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## dtkcore 5.5.34

=== debian/changelog ===
dtkcore (5.5.34-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:59:47 +0800
